#
# spec file for package ghc-x509
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name x509
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.7.5
Release:        lp151.1.3
Summary:        X509 reader and writer
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-asn1-encoding-devel
BuildRequires:  ghc-asn1-parse-devel
BuildRequires:  ghc-asn1-types-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cryptonite-devel
BuildRequires:  ghc-hourglass-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pem-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
X509 reader and writer. please see README.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Fri Dec 14 2018 Peter Simons <psimons@suse.com>
- Update Cabal build instructions for more accurate dependencies on base.
* Mon Nov  5 2018 psimons@suse.com
- Update x509 to version 1.7.5.
  Upstream does not provide a change log file.
* Wed Oct 10 2018 psimons@suse.com
- Update x509 to version 1.7.4.
  Upstream does not provide a change log file.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update x509 to version 1.7.3 revision 1.
  Upstream does not provide a changelog.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.7.1.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 1.6.5 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 1.6.4 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.6.3 revision 0 with cabal2obs.
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 1.6.3
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 1.6.1
* Thu Aug  6 2015 mimi.vx@gmail.com
- update to 1.6.0
* Sun May 31 2015 mimi.vx@gmail.com
- update to 1.5.1
* Thu Apr 23 2015 mimi.vx@gmail.com
- initial commit
